Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class SOAPMsgPolicyContextHandler

    java.lang.Object
      org.jboss.ejb.SOAPMsgPolicyContextHandler

All Implemented Interfaces:
  javax.security.jacc.PolicyContextHandler

public class SOAPMsgPolicyContextHandler
extends Object
implements javax.security.jacc.PolicyContextHandler

A PolicyContextHandler for EJB SEI invocation SOAPMessages

Version:
  $Revison:$
Author:
  Scott.Stark@jboss.org

Field Summary
`static String` | `SEI_ARGS_KEY`

Constructor Summary
`SOAPMsgPolicyContextHandler()`

Method Summary
`Object` | `getContext(String key, Object data)` Access the EJB SEI policy context data.
`String[]` | `getKeys()`
`boolean` | `supports(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEI_ARGS_KEY

    public static final String SEI_ARGS_KEY

See Also:
  Constant Field Values

Constructor Detail

### SOAPMsgPolicyContextHandler

    public SOAPMsgPolicyContextHandler()

Method Detail

### getContext

    public Object getContext(String key,
                             Object data)
                      throws javax.security.jacc.PolicyContextException

  Access the EJB SEI policy context data.

  Specified by:
    `getContext` in interface `javax.security.jacc.PolicyContextHandler`
  Parameters:
    `key` - "javax.xml.soap.SOAPMessage"
    `data` - currently unused
  Returns:
    SOAPMessage for the active invocation
  Throws:
    `javax.security.jacc.PolicyContextException`

### getKeys

    public String[] getKeys()
                     throws javax.security.jacc.PolicyContextException

  Specified by:
    `getKeys` in interface `javax.security.jacc.PolicyContextHandler`
  Throws:
    `javax.security.jacc.PolicyContextException`

### supports

    public boolean supports(String key)
                     throws javax.security.jacc.PolicyContextException

  Specified by:
    `supports` in interface `javax.security.jacc.PolicyContextHandler`
  Throws:
    `javax.security.jacc.PolicyContextException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.